# Uses of Class
java.lang.CloneNotSupportedException

Packages that use CloneNotSupportedException
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.ref
Provides reference-object classes, which support a limited degree of interaction with the garbage collector.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
java.security
Provides the classes and interfaces for the security framework.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.crypto
Provides the classes and interfaces for cryptographic operations.
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

- ## Uses of CloneNotSupportedException in java.awt.datatransfer

  Methods in java.awt.datatransfer that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `Object`
  DataFlavor.`clone()`
  Returns a clone of this `DataFlavor`.

- ## Uses of CloneNotSupportedException in java.lang

  Methods in java.lang that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `protected final Object`
  Enum.`clone()`
  Throws CloneNotSupportedException.
  `protected Object`
  Object.`clone()`
  Creates and returns a copy of this object.
  `protected Object`
  Thread.`clone()`
  Throws CloneNotSupportedException as a Thread can not be meaningfully cloned.

- ## Uses of CloneNotSupportedException in java.lang.ref

  Methods in java.lang.ref that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `protected Object`
  Reference.`clone()`
  Throws `CloneNotSupportedException`.

- ## Uses of CloneNotSupportedException in java.rmi.server

  Subclasses of CloneNotSupportedException in java.rmi.server
  Modifier and Type
  Class
  Description
  `class`
  `ServerCloneException`
  A `ServerCloneException` is thrown if a remote exception occurs during the cloning of a `UnicastRemoteObject`.
  Methods in java.rmi.server that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `Object`
  UnicastRemoteObject.`clone()`
  Returns a clone of the remote object that is distinct from the original.

- ## Uses of CloneNotSupportedException in java.security

  Methods in java.security that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `Object`
  MessageDigest.`clone()`
  Returns a clone if the implementation is cloneable.
  `Object`
  MessageDigestSpi.`clone()`
  Returns a clone if the implementation is cloneable.
  `Object`
  Signature.`clone()`
  Returns a clone if the implementation is cloneable.
  `Object`
  SignatureSpi.`clone()`
  Returns a clone if the implementation is cloneable.

- ## Uses of CloneNotSupportedException in java.util

  Methods in java.util that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `protected Object`
  AbstractMap.`clone()`
  Returns a shallow copy of this `AbstractMap` instance: the keys and values themselves are not cloned.

- ## Uses of CloneNotSupportedException in javax.crypto

  Methods in javax.crypto that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `final Object`
  Mac.`clone()`
  Returns a clone if the provider implementation is cloneable.
  `Object`
  MacSpi.`clone()`
  Returns a clone if the implementation is cloneable.

- ## Uses of CloneNotSupportedException in javax.imageio.plugins.tiff

  Methods in javax.imageio.plugins.tiff that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `TIFFDirectory`
  TIFFDirectory.`clone()`
  Clones the directory and all the fields contained therein.
  `TIFFField`
  TIFFField.`clone()`
  Clones the field and all the information contained therein.

- ## Uses of CloneNotSupportedException in javax.swing

  Methods in javax.swing that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `protected Object`
  AbstractAction.`clone()`
  Clones the abstract action.
  `Object`
  DefaultListSelectionModel.`clone()`
  Returns a clone of this selection model with the same selection.
  `protected Object`
  JFormattedTextField.AbstractFormatter.`clone()`
  Clones the `AbstractFormatter`.

- ## Uses of CloneNotSupportedException in javax.swing.text

  Methods in javax.swing.text that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `Object`
  DefaultFormatter.`clone()`
  Creates a copy of the DefaultFormatter.
  `Object`
  InternationalFormatter.`clone()`
  Creates a copy of the DefaultFormatter.

- ## Uses of CloneNotSupportedException in javax.swing.tree

  Methods in javax.swing.tree that throw CloneNotSupportedException
  Modifier and Type
  Method
  Description
  `Object`
  DefaultTreeSelectionModel.`clone()`
  Returns a clone of this object with the same selection.